"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getInitialData = exports.updateAccessToken = exports.getAccessToken = exports.saveInitialData = void 0;
var fs_1 = __importDefault(require("fs"));
var utils_1 = require("../utils/utils");
var storagePath = "./storage/";
var storageFile = "config-storage.json";
var saveInitialData = function (initialData) {
    if (!fs_1.default.existsSync(storagePath)) {
        fs_1.default.mkdirSync(storagePath);
    }
    fs_1.default.writeFileSync(storagePath + storageFile, JSON.stringify(initialData) || "{}");
    (0, utils_1.appLog)("Initial file saved/updated successfully");
};
exports.saveInitialData = saveInitialData;
var getAccessToken = function () {
    return (0, exports.getInitialData)().accessToken;
};
exports.getAccessToken = getAccessToken;
var updateAccessToken = function (accessToken) {
    var updatedInitialData = (0, exports.getInitialData)();
    updatedInitialData.accessToken = accessToken;
    (0, utils_1.appLog)("Access token updated");
    (0, exports.saveInitialData)(updatedInitialData);
};
exports.updateAccessToken = updateAccessToken;
var getInitialData = function () {
    try {
        return JSON.parse(fs_1.default.readFileSync(storagePath + storageFile).toString());
    }
    catch (e) {
        (0, utils_1.appLog)(e);
        return {
            accessToken: "",
            clientId: "",
            clientSecret: "",
            refreshToken: "",
        };
    }
};
exports.getInitialData = getInitialData;
